curl https://api.crewship.dev/v1/tables/tbl_abc123xyz789/rows/row_abc123xyz789 \
-H "Authorization: Bearer YOUR_API_KEY"
{
"id": "row_abc123xyz789",
"company": "Acme",
"score": 92,
"status": "qualified",
"_meta": {
"created_at": "2024-01-15T10:35:00Z",
"created_by": "api:Production Key",
"updated_at": "2024-01-20T08:12:00Z",
"updated_by": "api:Production Key"
}
}
{
"error": {
"message": "Row not found"
}
}
Tables
Get Row
Get a single row by ID
GET
/
v1
/
tables
/
{id}
/
rows
/
{rowId}
curl https://api.crewship.dev/v1/tables/tbl_abc123xyz789/rows/row_abc123xyz789 \
-H "Authorization: Bearer YOUR_API_KEY"
{
"id": "row_abc123xyz789",
"company": "Acme",
"score": 92,
"status": "qualified",
"_meta": {
"created_at": "2024-01-15T10:35:00Z",
"created_by": "api:Production Key",
"updated_at": "2024-01-20T08:12:00Z",
"updated_by": "api:Production Key"
}
}
{
"error": {
"message": "Row not found"
}
}
Path Parameters
string
required
Table ID
string
required
Row ID
Response
Returns a row object with user-defined fields plus metadata.string
Row ID
object
Metadata (
created_at, created_by, updated_at, updated_by)curl https://api.crewship.dev/v1/tables/tbl_abc123xyz789/rows/row_abc123xyz789 \
-H "Authorization: Bearer YOUR_API_KEY"
{
"id": "row_abc123xyz789",
"company": "Acme",
"score": 92,
"status": "qualified",
"_meta": {
"created_at": "2024-01-15T10:35:00Z",
"created_by": "api:Production Key",
"updated_at": "2024-01-20T08:12:00Z",
"updated_by": "api:Production Key"
}
}
{
"error": {
"message": "Row not found"
}
}